Bug 757181 (CVE-2011-4350)

Summary: CVE-2011-4350 yaws: Directory traversal flaw
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: lemenkov, lkundrak, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:58:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 757183, 757184    
Bug Blocks:    

Description Jan Lieskovsky 2011-11-25 17:36:21 UTC
A directory traversal flaw was found in the way yaws, web server for dynamic content written in Erlang, processed certain URLs. A remote, authenticated yaws user could use this flaw to obtain content of arbitrary local file, available to the yaws server user via specially-crafted URL request.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650009
[2] https://github.com/klacke/yaws/issues/69

Comment 1 Jan Lieskovsky 2011-11-25 17:42:11 UTC
Public PoC from [1]:
====================

curl 'http://localhost:8080/..\\..\\..\\..\\/etc/passwd'

I am not sure, versions of yaws, as shipped in Fedora release of 14, 15, and 16, and as shipped with Fedora EPEL 6, are affected by this issue. Have tried above PoC (and couple of its combinations), but was unsuccessful to reproduce the issue (even with 'auth' disabled).

Comment 2 Jan Lieskovsky 2011-11-25 17:42:46 UTC
CVE request:
[3] http://www.openwall.com/lists/oss-security/2011/11/25/5

Comment 3 Jan Lieskovsky 2011-11-25 17:43:46 UTC
Created yaws tracking bugs for this issue

Affects: fedora-all [bug 757183]
Affects: epel-6 [bug 757184]

Comment 4 Peter Lemenkov 2011-11-25 19:30:04 UTC
I'll take a closer look tomorrow on this issue.

Comment 5 Kurt Seifried 2011-11-25 20:36:24 UTC
We don't appear to have fixed CVE-2010-4181 (similar issue, directory traversal)?

Comment 6 Vincent Danen 2011-11-28 18:29:56 UTC
This was assigned CVE-2011-4350:

http://www.openwall.com/lists/oss-security/2011/11/25/7

Comment 7 Product Security DevOps Team 2019-06-10 10:58:13 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.